/* 
 * Copyright (C) 2004 Romain Dolbeau <romain@dolbeau.org>
 *
 *  This file is subject to the terms and conditions of the GNU General Public
 *  License. See the file COPYING in the main directory of this archive for
 *  more details.
 */

package org.dolbeau.xsCOEj;

import java.util.*;
import javax.swing.*;
import java.awt.event.*;

class ResultsDisplay extends JPanel {
    private JLabel foreword = new JLabel("");
    private JLabel options = new JLabel("");
    private JLabel results = new JLabel("");
    private JLabel suffix = new JLabel("");

    ResultsDisplay() {
        super();

        setLayout(new javax.swing.BoxLayout(this, javax.swing.BoxLayout.X_AXIS));

        add(foreword);
        add(options);
        add(results);
        add(suffix);
        suffix.setForeground(java.awt.Color.green);
    }

    void setResults(String f, OptionInstanceList a, Results b, int step, int bestStep) {
        if (f != null) {
            if (step == -1)
                foreword.setText(f + ": ");
            else
                foreword.setText(f + " (" + step + "): ");
                
        } else {
            foreword.setText("");
        }
        if (a != null) {
            options.setText(a.toPrettyString(":") + " ");
        } else {
            options.setText("");
        }
        if (b != null) {
            results.setText("<html>" + b.toHTMLString());
        } else {
            results.setText("");
        }
        if (bestStep != -1) {
            if (step == bestStep)
                suffix.setText(" {improved}");
            else
                suffix.setText(" {unchanged since " + bestStep + "}");
        } else {
            suffix.setText("");
        }
    }
}
